class Object(object):
    
    def __init__(self, x, y, image):
        self.x = x
        self.y = y
        self.image = image
        self.velocity = [0, 0]
        self.speed = 1.5
        self.ondestroy = False
        
    def draw(self, window):
        window.blit(self.image, (self.x, self.y))
    
    def clamp(self, value, minval, maxval):
        return max(minval, min(value, maxval))
        
    def update(self):
        from main import Main
        self.x = self.clamp(self.velocity[0] + self.x, 0, Main.size[0] - self.image.get_width())
        self.y = self.clamp(self.velocity[1] + self.y, 0, Main.size[1] - self.image.get_height())
        
        self.velocity[0] *= 0.8;
        self.velocity[1] *= 0.8;
        
    def kill(self):
        self.ondestroy = True